## org.apache.tomcat.util.collections
Class MultiMapNamesEnumeration

    java.lang.Object
      org.apache.tomcat.util.collections.MultiMapNamesEnumeration

All Implemented Interfaces:
  java.util.Enumeration

public final class MultiMapNamesEnumeration
extends java.lang.Object
implements java.util.Enumeration

Enumerate the distinct header names. Each nextElement() is O(n) ( a comparation is done with all previous elements ). This is less frequesnt than add() - we want to keep add O(1).

Method Summary
`boolean` `hasMoreElements()`
`java.lang.Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.